> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Biometric terminal enrollments for an employee

> Biometric terminal enrollments for an employee



## OpenAPI

````yaml /api-reference/openapi.json get /api/employees/{id}/terminal-users
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/employees/{id}/terminal-users:
    get:
      tags:
        - Devices
      summary: Biometric terminal enrollments for an employee
      description: Biometric terminal enrollments for an employee
      operationId: getApiEmployeesByIdTerminalUsers
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        terminalUserId:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        employeeId:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        employeeName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        employeeCode:
                          anyOf:
                            - type: string
                            - type: 'null'
                        source:
                          type: string
                          enum:
                            - mapped
                            - fallback
                            - unmapped
                        unresolvedCount:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        lastSeenAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        seenOnDevices:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                                pattern: >-
                                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                              name:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              serial:
                                type: string
                            required:
                              - id
                              - name
                              - serial
                      required:
                        - terminalUserId
                        - employeeId
                        - employeeName
                        - employeeCode
                        - source
                        - unresolvedCount
                        - lastSeenAt
                        - seenOnDevices
                required:
                  - items
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````